> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/flutter/standalone-modules/deprecated-sdks/release-notes/document-detector-releases.md).

# DocumentDetector

## Version 7.0

### `document-detector: 7.0.3`

04 Dec 2024

* Update *Android* Native SDK from `9.1.2` to `9.1.3`.
* Update *iOS* Native SDK from `15.0.0` to `15.0.3`.
* Fix messageSettings to work correctly in both Android and iOS.

### `document-detector: 7.0.2`

29 Aug 2024

Fix internal Android side plugin activity result listener.

### `document-detector: 7.0.1`

1 July 2024

Fixed an error in the `.podspec` file found in the previous version 7.0.0 that prevented the implementation of the SDK on the iOS platform.

### `document-detector: 7.0.0`

27 June 2024

#### Highlights

* New AI for smart capture, based on analyzing the framing of documents.
* Similarity between what is being shown on the screen camera and the captured/analyzed photo.
* New design and capture experience.

#### News

* Changed default resolution to **Full HD**.
* Changed default values used to compress pictures.
* Removed audio playback at the beginning of the capture.
* New UI/UX.

#### Breaking Changes

**Important:** due to the nature of the changes in this version, several *breaking changes* have occurred. To ensure a smooth transition and take full advantage of the new features, we strongly recommend that you review the updated product documentation. You can access the complete and updated documentation [here](/caf-sdk/flutter/standalone-modules/deprecated-sdks/document-detector/v7-and-above.md).

*Android*:

* Removed `DetectionSettings` and `QualitySettings` from `CaptureStages`.
* Removed **HD** camera resolution.
* Removed layout customization options.

*iOS*:

* Changed minimum deployment target from `11.0` to `12.0`.
* Added `TensorFlowLite` library dependency.
* Changed camera resolution options to **Full HD** and **Ultra HD**.
* Removed layout customization options.

## Version 6.0

### `document-detector-v6.2.6`

20 April 2024

#### Android

*SDK update*: we have updated DocumentDetector from v7.2.4 to [v7.2.5](https://docs.caf.io/sdks/android/release-notes#documentdetector-7.2.5), improving security and some fixes.

#### iOS

*SDK update*: we have updated DocumentDetector from v8.1.4 to [v8.1.6](https://docs.caf.io/sdks/ios/release-notes#documentdetector-8.1.6), improving security and some fixes.

Fixes:

* Customizing document illustrations in the initial popup.

### `document-detector-v6.2.5`

19 March 2024

#### Android

Enhancements:

* Performance improvements.
* Visual improvements.

Fixes:

* Preview issues on Android 14.
* Crashes in the ANY document type.

### `document-detector-v6.2.4`

15 Feb 2024

* Changed: document compression quality uploads
* Fix: low quality images upload flow

### `document-detector-v6.2.3`

10 Feb 2024

* **Changed**: document identification on the upload flow
* **Changed**: handling of metadata in pdf files
* **Changed**: consumption record tracking
* **Fix**: api timeout issue on upload
* **Fix**: pdf upload conversion
* **Fix**: maximum file size message and validation on upload flow
* **Fix**: back button function from upload flow

### `document-detector-v6.2.2`

8 Feb 2024

* **Fix**: Pdf file upload quality (the resolution of the upload needed to be fixed, we improve the quality for this latest release) - iOS
* **Fix**: get current keyWindow to present the SDK - iOS

### `document-detector-v6.2.1`, `document-detector-compatible-v6.2.1`

9 Jan 2024

* **Fix**: SDK crashing in some devices with Android API lower than 26 - Android.
* **Changed**: Document capture default resolution to .hd1920x1080 - iOS.
* **Fix**: SDK result image URL output

### `document-detector-v6.2.0`, `document-detector-compatible-v6.2.0`

23 Nov 2023

* **Changed**: `Sentry` library was removed.
* **Fix**: document picture taken with Manual capture.
* **Fix**: SDK environment configuration.

### `document-detector-v6.1.4`, `document-detector-nosentry-v6.1.4`, `document-detector-compatible-v6.1.4`

16 Oct 2023

* **Fixed:** loading screen when disabling the initial informational popup - Android.
* **Fixed:** Camera start delay - iOS.

### `document-detector-v6.1.2`, `document-detector-nosentry-v6.1.2`, `document-detector-compatible-v6.1.2`

6 Sept 2023

* **Enhancement:** Code Obfuscation.
* **Enhancement:** General improvements.

`face-authenticator-v3.13.0`, `face-authenticator-nosentry-v3.14.0`

* **Enhancement:** Code Obfuscation.
* **Enhancement:** General improvements.
* **Changed:** `compileSdkVersion` to API 33.

### `document-detector-v6.0.0`, `document-detector--nosentry-v6.0.0`

31 July 2023

* **New:** CIN (Carteira Nacional de Identidade) document support (new Brazilian RG document).
* **New:** New and improved back-end API.
* **New:** New method `.setStage(CafStage stage)`. Use it to change the SDK environment to beta or prod.
* **New:** Added loading icon after a document is captured.
* **Enhancement:** Added security countermeasures and performance improvements.
* **Enhancement:** Code obfuscation.
* **Enhancement:** The SDK initialization time has been optimized.
* **Fixed:** Correction of some typos and misspellings.
* **Changed:** The minimum `compileSdkVersion` is 33.
* **Breaking Changes:** The `imageUrl:` SDK param result have been changed from `https://gtw-<environment>-common...` to `https://sdks-api-<environment>-us-east-1-uploads-v1.s3.amazonaws.com`

### Older versions

Check DocumentDetectors past versions [here](https://github.com/combateafraude/public-docs/blob/docs-sdks/flutter/deprecated-sdks/release-notes/obsolete-sdks-releases.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/flutter/standalone-modules/deprecated-sdks/release-notes/document-detector-releases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
